UbixOS V2 2.0

Functions | Variables
tcpdump.c File Reference
`#include <vfs/file.h>`
`#include <ubixos/kpanic.h>`
`#include "netif/tcpdump.h"`
`#include "net/ipv4/ip.h"`
`#include "net/tcp.h"`
`#include "net/udp.h"`
`#include "net/ipv4/inet.h"`
Include dependency graph for tcpdump.c:

Go to the source code of this file.

## Functions
void | tcpdump (struct pbuf *p)
void | tcpdump_init (void)

## Variables
fileDescriptor * | file = NULL

## Function Documentation

## ◆ tcpdump()

void tcpdump | ( | struct pbuf * | p | ) |

Definition at line 57 of file tcpdump.c.

References NULL.

## ◆ tcpdump_init()

void tcpdump_init | ( | void |  | ) |

Definition at line 47 of file tcpdump.c.

References fopen(), kpanic(), and NULL.

Here is the call graph for this function:

## Variable Documentation

## ◆ file

fileDescriptor* file = NULL

Definition at line 45 of file tcpdump.c.

Referenced by fat_initialize(), fl_fopen(), fl_remove(), fopen(), and main().